# praat script 
# script_name = "NegSomat_2_norm.praat"
# Version1.0 [2011:03:31]
# Created by Marco Tettamanti (email tettamanti.marco@hsr.it)
# with parts from the original script_name "analyse_tier.praat" (version [2009:08:07])
# by Daniel Hirst (email daniel.hirst@lpl.univ-aix.fr)

# The script normalizes each WAV sound file in a folder to a defined intensity value.
# The script works iteratively for all sound files in a folder.
# The script is meant to be run after "NegSomat_1_cut.praat"
# and by default requires the presence of files with extension
# _cut.wav (created by "NegSomat_1_cut.praat") in the target folder.

#define parameters used in the script
form Define all parameters
	sentence Sound_folder Corpus/Sounds
	positive defintensity 70.0
	word Sound_extension _cut.wav
endform


#Read in list of sound files
mySounds = Create Strings as file list... sounds
... 'sound_folder$'/*'sound_extension$'
nSounds = Get number of strings
item = 0

if nSounds > 0
	nSounds = Get number of strings

#call treatment
	for iSound from 1 to nSounds
		select mySounds
		sound_name$ = Get string... iSound
		sound$ = sound_folder$ + "/" + sound_name$
		call amplnorm
	endfor

#Remove file list
select mySounds
Remove

exit

#subroutine amplnorm
procedure amplnorm
	Read from file... 'sound$'
	soundname$ = selected$("Sound")
	select Sound 'soundname$'
	Scale intensity... defintensity
	# The name of the sound file then consists of these elements:
	intervalfile$ = "'Sound_folder$'" + "/" + "'soundname$'" + "_norm" + ".wav"
	Write to WAV file... 'intervalfile$'
	Remove
endproc
